| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiHive.precedence.UniformTimeValue Class Reference
Inheritance diagram for GaudiHive.precedence.UniformTimeValue:
[legend]
Collaboration diagram for GaudiHive.precedence.UniformTimeValue:
[legend]

## Public Member Functions
def | __init__ (self, avgRuntime, varRuntime=0)
def | get (self, algoName='')

## Public Attributes
| avgRuntime
| varRuntime

## Detailed Description

    A class to manage uniform algorithm timing

Definition at line 20 of file precedence.py.

## Constructor & Destructor Documentation

def GaudiHive.precedence.UniformTimeValue.__init__ | ( |  | self,
|  |  | avgRuntime,
|  |  | varRuntime = `0`
| ) |  |

Definition at line 23 of file precedence.py.

23 def __init__(self, avgRuntime, varRuntime = 0):
24
25 self.avgRuntime = avgRuntime
26 self.varRuntime = varRuntime
27
GaudiHive.precedence.UniformTimeValue.__init__
def __init__(self, avgRuntime, varRuntime=0)
Definition: precedence.py:23
GaudiHive.precedence.UniformTimeValue.varRuntime
varRuntime
Definition: precedence.py:26
GaudiHive.precedence.UniformTimeValue.avgRuntime
avgRuntime
Definition: precedence.py:25

## Member Function Documentation

def GaudiHive.precedence.UniformTimeValue.get | ( |  | self,
|  |  | algoName = `''`
| ) |  |

    Get time and its variance (in a tuple) for a given algorithm name

Definition at line 28 of file precedence.py.

28 def get(self, algoName = ''):
29 """Get time and its variance (in a tuple) for a given algorithm name"""
30
31 return self.avgRuntime, self.varRuntime
32
GaudiHive.precedence.UniformTimeValue.get
def get(self, algoName='')
Definition: precedence.py:28
GaudiHive.precedence.UniformTimeValue.varRuntime
varRuntime
Definition: precedence.py:26
GaudiHive.precedence.UniformTimeValue.avgRuntime
avgRuntime
Definition: precedence.py:25

## Member Data Documentation

GaudiHive.precedence.UniformTimeValue.avgRuntime

Definition at line 25 of file precedence.py.

GaudiHive.precedence.UniformTimeValue.varRuntime

Definition at line 26 of file precedence.py.

The documentation for this class was generated from the following file:

- GaudiHive/python/GaudiHive/precedence.py